--	===================================
--	Update Confirmation Flag
--	===================================


UPDATE TB_R_DELIVERY_CTL_D SET CONFIRM_FLAG = 1
WHERE DELIVERY_NO = (
	SELECT DELIVERY_NO FROM (
		SELECT ROW_NUMBER() OVER (ORDER BY ARRIVAL_ACTUAL_DT DESC) AS DELIVERY_NUM, DELIVERY_NO FROM TB_R_DELIVERY_CTL_D
		WHERE DOCK_CD = @Dock AND STATION = @Station
				AND CONVERT(VARCHAR(8), ARRIVAL_ACTUAL_DT, 112) = CONVERT(VARCHAR(8), GETDATE(),112)
					AND DEPARTURE_ACTUAL_DT IS NULL AND (ABANDON_FLAG IS NULL OR ABANDON_FLAG = 0) 
						AND CONFIRM_FLAG IS NULL
	) AS TBL WHERE DELIVERY_NUM = 1	
) AND DOCK_CD = @Dock AND STATION = @Station

/*
UPDATE TB_R_DELIVERY_CTL_D SET CONFIRM_FLAG = NULL
WHERE DELIVERY_NO = (
	SELECT DELIVERY_NO FROM (
		SELECT ROW_NUMBER() OVER (ORDER BY ARRIVAL_ACTUAL_DT) AS DELIVERY_NUM, DELIVERY_NO FROM TB_R_DELIVERY_CTL_D
		WHERE DOCK_CD = @Dock AND STATION = @Station
			AND CONVERT(VARCHAR(8), ARRIVAL_ACTUAL_DT, 112) = CONVERT(VARCHAR(8), GETDATE(),112)
			AND DEPARTURE_ACTUAL_DT IS NULL 
			AND (ABANDON_FLAG IS NULL OR ABANDON_FLAG = 0)
	) AS TBL WHERE DELIVERY_NUM = 1
) AND DOCK_CD = @Dock AND STATION = @Station
*/


--	===================================
--	Update Abandon Flag
--	===================================

UPDATE TB_R_DELIVERY_CTL_D SET ABANDON_FLAG = 1
	WHERE DELIVERY_NO = (
		SELECT DELIVERY_NO FROM (
			SELECT ROW_NUMBER() OVER (ORDER BY ARRIVAL_ACTUAL_DT) AS DELIVERY_NUM, DELIVERY_NO FROM TB_R_DELIVERY_CTL_D
			WHERE DOCK_CD = @Dock AND STATION = @Station
				AND CONVERT(VARCHAR(8), ARRIVAL_ACTUAL_DT, 112) = CONVERT(VARCHAR(8), GETDATE(),112)
				AND DEPARTURE_ACTUAL_DT IS NULL 
				AND (ABANDON_FLAG IS NULL OR ABANDON_FLAG = 0) 
		) AS TBL WHERE DELIVERY_NUM = 1	
	) AND DOCK_CD = @Dock AND STATION = @Station